Package: groovy.lang

## [Java] Class Reference<T>

- groovy.lang.Reference

- All Implemented Interfaces and Traits:
    Serializable

      public class Reference
      extends GroovyObjectSupport

  Represents a reference to a value

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Reference ()`
    `Reference (T value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `get()`
    `` | `Object` | `getProperty(String property)`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `set(T value)`
    `` | `void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public Reference()

    - #### public Reference(T value)

  - ### Method Detail

    - #### public T get()

    - #### public Object getProperty(String property)

    - #### public Object invokeMethod(String name, Object args)

    - #### public void set(T value)

    - #### public void setProperty(String property, Object newValue)